<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreBrandVoiceRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array|string>
     */
    public function rules(): array
    {
        return [
            'category_id' => ['required'],
            'message' => ['required', 'string'],
            'tones' => ['required', 'array'],
            'tones.*.text' => ['required', 'string'],
            'status' => ['required'],
        ];
    }

    public function attributes()
    {
        return [
            'tones.*.text' => 'tone',
        ];
    }
}
