<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\BrandVoice;
class BrandVoiceSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $brand_voices = array(
            array('id' => '1','category_id' => '92','message' => 'We specialize in creating innovative and visually captivating digital assets that elevate your brand and drive engagement. Combining cutting-edge technology with artistic flair, our team delivers high-quality designs tailored to meet your unique needs and set you apart in the digital landscape.','tones' => '[{"text":"Professional and Reliable: Delivering high-quality digital assets with precision and dependability, ensuring excellence and trust in every project."},{"text":"Creative and Engaging: Crafting vibrant and captivating digital designs that engage and inspire, bringing your brand\\u2019s vision to life."},{"text":"Forward-Thinking: Crafting vibrant and captivating digital designs that engage and inspire, bringing your brand\\u2019s vision to life."}]','status' => 'active','created_at' => '2024-08-02 15:58:36','updated_at' => '2024-08-11 19:15:34'),
            array('id' => '2','category_id' => '93','message' => 'we develop cutting-edge software solutions designed to enhance efficiency and drive innovation. Our expert team combines advanced technology with industry expertise to deliver reliable, high-performance software that meets your unique business needs and exceeds expectations.','tones' => '[{"text":"Innovative and Cutting-Edge: Pioneering software solutions that push boundaries and drive technological advancement, transforming ideas into groundbreaking innovations."},{"text":"Professional and Reliable: Delivering robust and dependable software solutions with precision, ensuring quality and trust in every project we undertake."},{"text":"User-Centric and Engaging: Crafting intuitive and engaging software that enhances user experience and meets your business needs with creative solutions."}]','status' => 'active','created_at' => '2024-08-02 15:58:36','updated_at' => '2024-08-11 19:40:16'),
            array('id' => '3','category_id' => '93','message' => 'we craft cutting-edge software solutions designed to drive innovation and streamline your business operations. Our team blends technical expertise with creative thinking to deliver reliable, dynamic software that meets your unique needs and enhances your digital experience.','tones' => '[{"text":"Innovative and Cutting-Edge: Pioneering advanced software solutions that push boundaries and drive innovation in the tech industry."},{"text":"Professional and Reliable: Delivering dependable, high-quality software with professional service and expert support for your business needs."},{"text":"User-Centric and Engaging: Creating engaging, user-friendly software that energizes your business and enhances your digital experience."}]','status' => 'active','created_at' => '2024-08-02 15:58:36','updated_at' => '2024-08-11 19:40:41'),
            array('id' => '4','category_id' => '94','message' => 'We showcase exceptional art that captivates and inspires. Our curated collection features unique pieces, crafted with passion and creativity, to enhance and enrich your environment.','tones' => '[{"text":"Elegant and Inspirational: Showcasing exquisite art that inspires and elevates, capturing timeless beauty and refined creativity."},{"text":"Bold and Creative: Featuring striking, original artworks that challenge conventions and ignite imagination with vibrant, unconventional designs."},{"text":"Sophisticated and Curated: Presenting meticulously curated art collections, blending sophistication and originality to enrich and transform your space."}]','status' => 'active','created_at' => '2024-08-02 15:58:36','updated_at' => '2024-08-11 19:45:17'),
            array('id' => '5','category_id' => '92','message' => 'We specialize in creating cutting-edge digital assets that elevate brands through innovative design, precise execution, and engaging visuals. Our expert team blends creativity with technology to deliver outstanding results that captivate and connect with audiences.','tones' => '[{"text":"Innovative and Cutting-Edge: Delivering state-of-the-art software and web designs that drive innovation and set industry standards."},{"text":"Professional and Reliable: Providing dependable software and web solutions with precision, ensuring seamless performance and client satisfaction."},{"text":"Creative and Engaging: Crafting dynamic and visually stunning software and web designs that captivate and engage your audience effectively."}]','status' => 'active','created_at' => '2024-08-02 15:58:36','updated_at' => '2024-08-11 19:48:02'),
            array('id' => '7','category_id' => '92','message' => 'We blend innovative software development with stunning web design to create seamless, engaging digital experiences that drive success.','tones' => '[{"text":"Innovative and Visionary: Crafting cutting-edge software and web designs that redefine digital experiences and drive future success."},{"text":"Professional and Efficient: Delivering reliable software and web solutions with precision and efficiency, tailored to meet your business needs."},{"text":"Creative and Engaging: Designing dynamic software and websites that captivate users and enhance engagement through imaginative and interactive elements."}]','status' => 'active','created_at' => '2024-08-02 15:58:36','updated_at' => '2024-08-11 19:49:33'),
            array('id' => '8','category_id' => '94','message' => 'We showcase exceptional art that blends creativity and craftsmanship, transforming spaces with unique and inspiring visual experiences.','tones' => '[{"text":"Elegant and Sophisticated: Showcasing timeless art with elegance and sophistication, elevating spaces with refined creativity and exquisite craftsmanship."},{"text":"Vibrant and Inspiring: Infusing vibrancy and inspiration into every piece, our art transforms environments and sparks creativity with bold, captivating designs."},{"text":"Modern and Trendsetting: Leading the way with modern art trends, delivering fresh and innovative pieces that set the standard for contemporary design."}]','status' => 'active','created_at' => '2024-08-02 15:58:36','updated_at' => '2024-08-11 19:45:43'),
            array('id' => '9','category_id' => '93','message' => 'we create innovative software solutions designed to enhance efficiency and drive growth. Our expertise delivers reliable, cutting-edge technology tailored to meet your unique business needs.','tones' => '[{"text":"Cutting-Edge and Innovative: Pioneering software solutions with groundbreaking technology to propel your business into the future."},{"text":"Professional and Reliable: Delivering dependable, high-quality software tailored to your needs, ensuring seamless performance and lasting results."},{"text":"Dynamic and Engaging: Creating engaging software solutions that captivate users and drive interaction, enhancing your digital presence and effectiveness."}]','status' => 'active','created_at' => '2024-08-02 15:58:36','updated_at' => '2024-08-11 19:41:03'),
            array('id' => '10','category_id' => '94','message' => 'We celebrate creativity by offering a curated selection of unique and inspiring artworks that enrich and captivate.','tones' => '[{"text":"Sophisticated and Elegant: Curating exquisite art that enriches spaces with timeless beauty and refined elegance."},{"text":"Vibrant and Inspiring: Bringing creativity to life with bold, vibrant art that inspires and energizes."},{"text":"Authentic and Passionate: Celebrating art with passion and authenticity, showcasing unique works that tell compelling stories."}]','status' => 'active','created_at' => '2024-08-02 15:58:36','updated_at' => '2024-08-11 19:46:08')
        );

        BrandVoice::insert($brand_voices);
    }
}
